Main Page Modules Data Structures File List Data Fields Globals Related Pages

# keyedHashFunction Struct Reference
[Keyed Hash Functions, a.k.a. Message Authentication Codes]

`#include <beecrypt.h>`

## Data Fields
const char * | name
const unsigned int | paramsize
const unsigned int | blocksize
const unsigned int | digestsize
const unsigned int | keybitsmin
const unsigned int | keybitsmax
const unsigned int | keybitsinc
const keyedHashFunctionSetup | setup
const keyedHashFunctionReset | reset
const keyedHashFunctionUpdate | update
const keyedHashFunctionDigest | digest

## Detailed Description

Methods and parameters for keyed hash functions. Specific keyed hash functions MAY be written to be multithread-safe.

Definition at line 519 of file beecrypt.h.

## Field Documentation

const unsigned int keyedHashFunction::blocksize

| in bytes Definition at line 524 of file beecrypt.h.

const keyedHashFunctionDigest keyedHashFunction::digest

| Definition at line 532 of file beecrypt.h. Referenced by keyedHashFunctionContextDigest.

const unsigned int keyedHashFunction::digestsize

| in bytes Definition at line 525 of file beecrypt.h. Referenced by keyedHashFunctionContextDigest.

const unsigned int keyedHashFunction::keybitsinc

| keysize increment in bits Definition at line 528 of file beecrypt.h. Referenced by dhaes_pUsable.

const unsigned int keyedHashFunction::keybitsmax

| max keysize in bits Definition at line 527 of file beecrypt.h. Referenced by dhaes_pUsable.

const unsigned int keyedHashFunction::keybitsmin

| min keysize in bits Definition at line 526 of file beecrypt.h. Referenced by dhaes_pUsable.

const char* keyedHashFunction::name

| keyed hash function name Definition at line 522 of file beecrypt.h.

const unsigned int keyedHashFunction::paramsize

| in bytes Definition at line 523 of file beecrypt.h. Referenced by keyedHashFunctionContextInit.

const keyedHashFunctionReset keyedHashFunction::reset

| Definition at line 530 of file beecrypt.h. Referenced by keyedHashFunctionContextInit, and keyedHashFunctionContextReset.

const keyedHashFunctionSetup keyedHashFunction::setup

| Definition at line 529 of file beecrypt.h. Referenced by keyedHashFunctionContextSetup.

const keyedHashFunctionUpdate keyedHashFunction::update

| Definition at line 531 of file beecrypt.h. Referenced by keyedHashFunctionContextUpdate, keyedHashFunctionContextUpdateMC, and keyedHashFunctionContextUpdateMP32.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h